Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.higgins.ics.gwt.icm.client.panel.edit
Class CardEditablePanel

    java.lang.Object
      com.google.gwt.user.client.ui.UIObject
          com.google.gwt.user.client.ui.Widget
              com.google.gwt.user.client.ui.Composite
                  org.eclipse.higgins.ics.gwt.icm.client.panel.edit.CardEditablePanel

All Implemented Interfaces:
  com.google.gwt.user.client.EventListener

Direct Known Subclasses:
  MCardEditablePanel, PCardEditablePanel, PWCardEditablePanel

public class CardEditablePanel
extends com.google.gwt.user.client.ui.Composite

Author:
  Alexander Yuhimenko

Constructor Summary
`CardEditablePanel(Card pcard)`

Method Summary
`static com.google.gwt.user.client.ui.HorizontalPanel` | `buildGroupPanel(String name)`
`com.google.gwt.user.client.ui.FlexTable` | `getBodyTable()`
`Card` | `getCard()`
`ImageEditor` | `getCardImage()`
`TextBoxEditor` | `getCardName()`
`com.google.gwt.user.client.ui.DialogBox` | `getDialogBox()`
`com.google.gwt.user.client.ui.Label` | `getLabelCardImage()`
`com.google.gwt.user.client.ui.Label` | `getLabelCardName()`
`CardActionButton` | `getSaveChangesButton()`
`com.google.gwt.user.client.ui.ClickListener` | `getSaveChangesListener()`
`void` | `setDialogBox(com.google.gwt.user.client.ui.DialogBox dialogBox)`
`void` | `setSaveChangesButton(CardActionButton saveChangesButton)`
`void` | `setSaveChangesListener(com.google.gwt.user.client.ui.ClickListener saveChangesListener)`

Methods inherited from class com.google.gwt.user.client.ui.Composite
`getElement, isAttached`

Methods inherited from class com.google.gwt.user.client.ui.Widget
`getParent, onBrowserEvent, removeFromParent`

Methods inherited from class com.google.gwt.user.client.ui.UIObject
`addStyleDependentName, addStyleName, getAbsoluteLeft, getAbsoluteTop, getOffsetHeight, getOffsetWidth, getStyleName, getStylePrimaryName, getTitle, isVisible, isVisible, removeStyleDependentName, removeStyleName, setHeight, setPixelSize, setSize, setStyleName, setStylePrimaryName, setTitle, setVisible, setVisible, setWidth, sinkEvents, toString, unsinkEvents`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CardEditablePanel

    public CardEditablePanel(Card pcard)

Method Detail

### getCard

    public Card getCard()

  Returns:
    the card

### getBodyTable

    public com.google.gwt.user.client.ui.FlexTable getBodyTable()

  Returns:
    the bodyTable

### getLabelCardImage

    public com.google.gwt.user.client.ui.Label getLabelCardImage()

  Returns:
    the labelCardImage

### getCardImage

    public ImageEditor getCardImage()

  Returns:
    the cardImage

### getLabelCardName

    public com.google.gwt.user.client.ui.Label getLabelCardName()

  Returns:
    the labelCardName

### getCardName

    public TextBoxEditor getCardName()

  Returns:
    the cardName

### getSaveChangesListener

    public com.google.gwt.user.client.ui.ClickListener getSaveChangesListener()

  Returns:
    the saveChangesListener

### setSaveChangesListener

    public void setSaveChangesListener(com.google.gwt.user.client.ui.ClickListener saveChangesListener)

  Parameters:
    `saveChangesListener` - the saveChangesListener to set

### getDialogBox

    public com.google.gwt.user.client.ui.DialogBox getDialogBox()

  Returns:
    the dialogBox

### setDialogBox

    public void setDialogBox(com.google.gwt.user.client.ui.DialogBox dialogBox)

  Parameters:
    `dialogBox` - the dialogBox to set

### getSaveChangesButton

    public CardActionButton getSaveChangesButton()

  Returns:
    the saveChangesButton

### setSaveChangesButton

    public void setSaveChangesButton(CardActionButton saveChangesButton)

  Parameters:
    `saveChangesButton` - the saveChangesButton to set

### buildGroupPanel

    public static com.google.gwt.user.client.ui.HorizontalPanel buildGroupPanel(String name)

Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD